org.apache.flume.source.scribe

## Class Scribe.Client

- java.lang.Object
- - org.apache.thrift.TServiceClient
  - - org.apache.flume.source.scribe.Scribe.Client

- All Implemented Interfaces:
    Scribe.Iface
  Enclosing class:
    Scribe

      public static class Scribe.Client
      extends org.apache.thrift.TServiceClient
      implements Scribe.Iface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Scribe.Client.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.TServiceClient

      `iprot_, oprot_, seqid_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scribe.Client(org.apache.thrift.protocol.TProtocol prot)`
    `Scribe.Client(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultCode` | `Log(List<LogEntry> messages)`
    `ResultCode` | `recv_Log()`
    `void` | `send_Log(List<LogEntry> messages)`

    - ### Methods inherited from class org.apache.thrift.TServiceClient

      `getInputProtocol, getOutputProtocol, receiveBase, sendBase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scribe.Client

          public Scribe.Client(org.apache.thrift.protocol.TProtocol prot)

    - #### Scribe.Client

          public Scribe.Client(org.apache.thrift.protocol.TProtocol iprot,
                       org.apache.thrift.protocol.TProtocol oprot)

  - ### Method Detail

    - #### Log

          public ResultCode Log(List<LogEntry> messages)
                         throws org.apache.thrift.TException

      Specified by:
        `Log` in interface `Scribe.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_Log

          public void send_Log(List<LogEntry> messages)
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_Log

          public ResultCode recv_Log()
                              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.